aboutsummaryrefslogtreecommitdiff
path: root/package/qt/Config.in
diff options
context:
space:
mode:
authorGravatar Romain Naour <romain.naour@gmail.com>2016-02-20 13:42:46 +0100
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2016-04-20 23:20:58 +0200
commit5dce3c05b5ea38539f6ee6efc24c13db936260dc (patch)
tree5cd65bb9f90ee68de0c407f039d4da375e2c9402 /package/qt/Config.in
parentd2b6a496c6988da77092c3a2b059cf897f4693bf (diff)
downloadbuildroot-5dce3c05b5ea38539f6ee6efc24c13db936260dc.tar.gz
buildroot-5dce3c05b5ea38539f6ee6efc24c13db936260dc.tar.bz2
toolchain-external: CodeSourcery NiosII 2015.11 affected by PR19405
See bug report https://sourceware.org/bugzilla/show_bug.cgi?id=19405 Fixes: http://autobuild.buildroot.net/results/ee562524c5b12191e584ceae89006c5a5103e700 Signed-off-by: Romain Naour <romain.naour@gmail.com> [Thomas: - rename BR2_TOOLCHAIN_BINUTILS_HAS_BUG_19405 to BR2_TOOLCHAIN_HAS_BINUTILS_BUG_19405 - propagate to the qwt package, which is now selecting BR2_PACKAGE_QT_GUI_MODULE.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/qt/Config.in')
-rw-r--r--package/qt/Config.in7
1 files changed, 7 insertions, 0 deletions
diff --git a/package/qt/Config.in b/package/qt/Config.in
index 248af00ec7..0ab8417b86 100644
--- a/package/qt/Config.in
+++ b/package/qt/Config.in
@@ -33,6 +33,7 @@ comment "Qt standard (X11) not available (need X.org)"
config BR2_PACKAGE_QT_X11
bool "Qt standard (X11)"
depends on BR2_PACKAGE_XORG7
+ depends on !BR2_TOOLCHAIN_HAS_BINUTILS_BUG_19405 # Qt GUI module
select BR2_PACKAGE_FONTCONFIG
select BR2_PACKAGE_XLIB_LIBXI
select BR2_PACKAGE_XLIB_LIBX11
@@ -56,6 +57,7 @@ config BR2_PACKAGE_QT_DEBUG
config BR2_PACKAGE_QT_DEMOS
bool "Compile and install Qt demos (with code)"
+ depends on !BR2_TOOLCHAIN_HAS_BINUTILS_BUG_19405 # Qt GUI module
select BR2_PACKAGE_QT_GUI_MODULE
help
If unsure, say N.
@@ -69,6 +71,7 @@ config BR2_PACKAGE_QT_TRANSLATION_FILES
config BR2_PACKAGE_QT_EXAMPLES
bool "Compile and install Qt examples (with code)"
+ depends on !BR2_TOOLCHAIN_HAS_BINUTILS_BUG_19405 # Qt GUI module
select BR2_PACKAGE_QT_GUI_MODULE
help
If unsure, say N.
@@ -130,12 +133,16 @@ config BR2_PACKAGE_QT_QT3SUPPORT
config BR2_PACKAGE_QT_GUI_MODULE
bool "Gui Module"
+ depends on !BR2_TOOLCHAIN_HAS_BINUTILS_BUG_19405 # nios2 Binutils 2.25.1 bug
select BR2_PACKAGE_QT_NETWORK
default y
help
Turns on support for Gui applications. If your board doesn't have
video output, or you don't require Qt GUI, say n.
+comment "Qt Gui Module needs a toolchain not affected by Binutils bug 19405"
+ depends on BR2_TOOLCHAIN_HAS_BINUTILS_BUG_19405
+
if BR2_PACKAGE_QT_GUI_MODULE
if BR2_PACKAGE_QT_EMBEDDED